﻿@model IEnumerable<HDY_20071.Models.Products>

@{
    ViewBag.Title = "";
}

@*<script type="text/javascript">
    function AddToCart(item) {

        var Productid = $(item).after("Productid");
        var formData = new FormData();
        formData.append("Productid", ProductId);

        $.ajax({
            async: true,
            type: 'POST',
            contentType: false,
            processData: false,
            data: formData,
            url: '/Shopping/Index',
            success: function (data) {

            },
            error: function () {
                alert("This is some problem");
            }
        });
       
    }

</script>*@

<h2>Main</h2>
<div class="container">
    <h2 class="text-center">Product list</h2>
    @foreach (var item in Model)
    {
        <div class="col-md-4" style="border: 2px solid black">
            <div style="text-align:center; border-bottom: 2px solid maroon">
                <h4>@item.ProductName</h4>
            </div>
            <div class="col-md-12">
                <center><img src="@Url.Content(item.ImgePath)" height="150" width="150" /></center>

                <div class="col-md-8" style="text-align: left">
                    <b>@item.UnitsInStock Stock</b>

                </div>
            </div>
            <div class="col-md-8" style="font-size: 18px; border-top: 2px solid maroon; padding: 2px">
                <b>@item.UnitPrice บาท</b>

            </div>
            <div class="col-md-4" style="text-align: right; margin-bottom: 10px; border-top: 2px solid maroon; padding: 2px">
                <input type="button" name="AddToCart" value="Add to Cart" class="btn btn-primary" Productid="@item.ProductId" id="btnAddToCart" onclick="AddToCart(this)" />

            </div>
        </div>
    }
</div>